Bug 253145 - exportCallback is not set when a file is opened through the menu
Summary: exportCallback is not set when a file is opened through the menu
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Jim Parsons
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-17 05:59 UTC by Wade Mealing
Modified: 2018-10-19 19:45 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-1060
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 21:55:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Enforce the reset tree function on callback. (432 bytes, text/x-patch)
2007-08-17 06:01 UTC, Wade Mealing
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:1060 normal SHIPPED_LIVE system-config-cluster bug fix update 2007-11-29 14:47:41 UTC

Description Wade Mealing 2007-08-17 05:59:55 UTC
Description of problem:

When a file is opened through the File -> Open menu, the exportCallback is not
set, then 'system-config-cluster' reports an error in console and the 'save-as'
window remains open.

Version-Release number of selected component (if applicable):

system-config-cluster-1.0.45-1.0

How reproducible:

Every time.

Steps to Reproduce:
- copy a working "cluster.conf" in "/tmp/cluster.conf"
- run (as root) "/usr/sbin/system-config-cluster"
- select "File" / "Open" and navigate the tree to reach "/tmp/cluster.conf",
select and open it
- select "File" / "Save as" and write another name like
"/tmp/cluster.conf-test", press OK
  
Actual results:

The Save as dialog box remains open, and the file is not saved. A python error
(show below) appears in the terminal:

Traceback (most recent call last):
File "/usr/sbin/system-config-cluster", line 280, in save
  if self.model_builder.exportModel() == True:
File "/usr/share/system-config-cluster/ModelBuilder.py", line 453, in exportModel
  apply(self.exportCallback, args)
TypeError: 'NoneType' object is not callable


Expected results:

Save as to work, birds chirp, people get happy.

Additional info:

Patch incoming.  It seems to WORKFORME.

Comment 1 Wade Mealing 2007-08-17 06:01:19 UTC
Created attachment 161717 [details]
Enforce the reset tree function on callback.

Comment 2 RHEL Product and Program Management 2007-08-17 06:04:19 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Jim Parsons 2007-08-29 19:39:08 UTC
Thanks for the patch! Sorry it took a bit to get to the flag...been on vacation
for two weeks.

Comment 6 Jim Parsons 2007-09-25 15:01:22 UTC
In and tested.

Comment 9 errata-xmlrpc 2007-11-21 21:55:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-1060.html



Note You need to log in before you can comment on or make changes to this bug.